# std::tr1::hash< int > Struct Template Reference

Inheritance diagram for std::tr1::hash< int >:

List of all members.

## Detailed Description

### template<>
struct std::tr1::hash< int >

Definition at line 66 of file functional_hash.h.

## Public Types

- typedef int argument_type
- typedef std::size_t result_type

## Public Member Functions

- std::size_t operator() (int __val) const

## Member Typedef Documentation

typedef int std::unary_function< int , std::size_t >::argument_type `[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

typedef std::size_t std::unary_function< int , std::size_t >::result_type `[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- functional_hash.h